Name:           task-kde4
Version:        2008.0
Release:        %mkrel 3
Summary:        Metapackage for KDE4
Group:          Graphical desktop/KDE
License:        GPL
Requires:       mandriva-kde4-config
Requires:       kdebase4
Requires:       kdebase4-workspace
Requires:       kdeplayground4-plasma
Requires:       kdelibs4-core
Requires:       kdeutils4
Requires:       kdenetwork4
Requires:       kdeaccessibility4
#Requires:       kdevelop4
#Requires:       kdeaddons4
#Requires:       kdeadmin4
Suggests:       amarok2
Suggests:       koffice2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Obsoletes:      %{name}-full < 2008.0-3mdv

%description
This package is a meta-package, meaning that its purpose is to contain
the complete dependencies for running the KDE4 desktop ( plus Amarok2,
Koffice2, ...)

%files
%defattr(-,root,root-)

#---------------------------------------------------------------------

%package    minimal
Summary:    Minimal dependencies needed KDE4
Group:      Graphical desktop/KDE

Requires:   mandriva-kde4-config
Requires:   kdebase4-workspace
Requires:   kde4-dolphin
Requires:   kde4-nsplugins
Requires:   kde4-kdepasswd
Requires:   kde4-konsole
Requires:   kdeplayground4-plasma

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal KDE4 desktop environment.


%files minimal

#--------------------------------------------------------------------

%package devel
Summary: Metapackage for KDE development
Group: Development/KDE and Qt
Requires: mandriva-kde4-config
Requires: kdelibs4-devel
Requires: kdepimlibs4-devel
Requires: kdebase4-devel
Requires: kdebase4-workspace-devel

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing a KDE development environment.

%files devel
%defattr(-,root,root-)




%changelog
* Tue Oct 02 2007 Tiago Salem <salem@mandriva.com.br> 2008.0-3mdv2008.0
+ Revision: 94671
- Dropping task-kde4-full package and Bumping release

* Mon Oct 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 94160
- Require the mandriva-kde4-config

* Mon Oct 01 2007 Tiago Salem <salem@mandriva.com.br> 2008.0-1mdv2008.0
+ Revision: 94128
- Fixing Requires and %%files section

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add a minimal subpackage


* Fri Mar 23 2007 Laurent Montel <lmontel@mandriva.com> 1.0-1mdv2007.1
+ Revision: 148612
- Add other kde4 module (just for testing all kde4 package
- Import task-kde4

